GDB (xrefs)

Public Attributes | List of all members
lval_closure Struct Reference

## Public Attributes
int | refc
int | n
int * | indices
struct value * | val

## Detailed Description

Definition at line 138 of file opencl-lang.c.

## Member Data Documentation

## ◆ indices

int* lval_closure::indices

Definition at line 145 of file opencl-lang.c.

Referenced by allocate_lval_closure(), create_value(), lval_func_check_synthetic_pointer(), lval_func_free_closure(), lval_func_read(), and lval_func_write().

## ◆ n

int lval_closure::n

Definition at line 143 of file opencl-lang.c.

Referenced by allocate_lval_closure(), create_value(), lval_func_check_synthetic_pointer(), and lval_func_write().

## ◆ refc

int lval_closure::refc

Definition at line 141 of file opencl-lang.c.

Referenced by allocate_lval_closure(), lval_func_copy_closure(), and lval_func_free_closure().

## ◆ val

struct value* lval_closure::val

Definition at line 147 of file opencl-lang.c.

Referenced by allocate_lval_closure(), create_value(), lval_func_check_synthetic_pointer(), lval_func_free_closure(), lval_func_read(), and lval_func_write().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/opencl-lang.c